Blockchain
List Chains
This endpoint lists all chains supported by Notus API
x-api-key<token>
In: header
Query Parameters
page?number
Page to return, the "perPage" amount will influence what and how pages are returned
Default
1Range
1 <= valueperPage?number
Amount of chains returned per page
Default
10Range
1 <= value <= 100Response Body
curl -X GET "https://api.notus.team/api/v1/crypto/chains?page=2&perPage=20"{
"chains": [
{
"id": 137,
"name": "POLYGON",
"logo": "https://logopolygon.com"
}
]
}Broadcast Signed Bitcoin Transaction POST
Broadcasts a signed Bitcoin transaction that was originally produced from a transfer or cross-swap quote. The endpoint validates that the quote exists and that the signed transaction matches the previously generated quote, then publishes the transaction to the Bitcoin network. The associated transaction is recorded in the history of that wallet.
List Tokens GET
This endpoint lists all tokens whitelisted in the project by default, or all tokens Notus API supports with a flag.